A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
conjg
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Complex operations

## Functions
array | conjg (const array &in)
| C++ Interface to calculate the complex conjugate of an input array.
af_err | af_conjg (af_array *out, const af_array in)
| C Interface to evaluate the complex conjugate of an input array.

## Detailed Description

Evaluate the complex conjugate of an input array.

## Function Documentation

## ◆ af_conjg()

af_err af_conjg | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the complex conjugate of an input array.

Parameters

  [out] | out | complex conjugate
  [in] | in | complex array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ conjg()

array conjg | ( | const array & | in | ) |

C++ Interface to calculate the complex conjugate of an input array.

Parameters

  [in] | in | input complex array

Returns
  complex conjugate